Bug 855843 - Review Request: mina-ftpserver - A 100% pure Java FTP server
Review Request: mina-ftpserver - A 100% pure Java FTP server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 07:38 EDT by gil cattaneo
Modified: 2015-12-16 09:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 09:36:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-09-10 07:38:53 EDT
Spec URL: http://gil.fedorapeople.org/mina-ftpserver.spec
SRPM URL: http://gil.fedorapeople.org/mina-ftpserver-1.0.6-1.fc16.src.rpm
Description: The Apache FtpServer is a 100% pure Java FTP server. It's
designed to be a complete and portable FTP server engine
solution based on currently available open protocols.
FtpServer can be run standalone as a Windows service or
Unix/Linux daemon, or embedded into a Java application.
We also provide support for integration within Spring
applications and provide our releases as OSGi bundles.

The default network support is based on Apache MINA, a
high performance asynchronous IO library. Using MINA,
FtpServer can scale to a large number of concurrent users.

It is also an FTP application platform. We have developed
a Java API to let you write Java code to process FTP event
notifications that we call the Ftplet API. Apache FtpServer
provides an implementation of an FTP server to support this API.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2012-11-01 08:49:12 EDT
tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4646143
Comment 4 Upstream Release Monitoring 2015-09-27 22:18:43 EDT
gil's scratch build of mina-ftpserver-1.0.6-1.fc22.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11247947
Comment 5 Upstream Release Monitoring 2015-09-28 05:40:40 EDT
gil's scratch build of mina-ftpserver-1.0.6-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11251679
Comment 8 Upstream Release Monitoring 2015-11-07 09:53:12 EST
gil's scratch build of mina-ftpserver-1.0.6-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11743147
Comment 9 Michael Simacek 2015-12-07 07:30:23 EST
- It would be better if you just removed the networked tests and left
  the remaning tests run normally
- Please add some comment to the patch - why it's necessary and whether
  it's Fedora-specific

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated",
     "*No copyright* Apache (v2.0)". 17 files have unknown license.
     Detailed output of licensecheck in /home/msimacek/reviews/855843-mina-
     ftpserver/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: mina-ftpserver (summary), mina-ftpserver
     (description)
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mina-
     ftpserver-examples , mina-ftpserver-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mina-ftpserver-1.0.6-1.fc24.noarch.rpm
          mina-ftpserver-examples-1.0.6-1.fc24.noarch.rpm
          mina-ftpserver-javadoc-1.0.6-1.fc24.noarch.rpm
          mina-ftpserver-1.0.6-1.fc24.src.rpm
mina-ftpserver-examples.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mina-ftpserver-examples.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
mina-ftpserver (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.mina:mina-core)
    mvn(org.slf4j:slf4j-api)

mina-ftpserver-examples (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.ftpserver:ftplet-api)
    mvn(org.apache.ftpserver:ftpserver-core)

mina-ftpserver-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
mina-ftpserver:
    mina-ftpserver
    mvn(org.apache.ftpserver:ftplet-api)
    mvn(org.apache.ftpserver:ftplet-api:pom:)
    mvn(org.apache.ftpserver:ftpserver-core)
    mvn(org.apache.ftpserver:ftpserver-core:pom:)
    mvn(org.apache.ftpserver:ftpserver-parent:pom:)
    osgi(ftplet-api)
    osgi(ftpserver-core)

mina-ftpserver-examples:
    mina-ftpserver-examples
    mvn(org.apache.ftpserver.examples:ftpserver-osgi-ftplet-service)
    mvn(org.apache.ftpserver.examples:ftpserver-osgi-ftplet-service:pom:)
    mvn(org.apache.ftpserver.examples:ftpserver-osgi-spring-service)
    mvn(org.apache.ftpserver.examples:ftpserver-osgi-spring-service:pom:)
    mvn(org.apache.ftpserver:ftpserver-examples:pom:)
    osgi(ftpserver-osgi-ftplet-service)
    osgi(ftpserver-osgi-spring-service)

mina-ftpserver-javadoc:
    mina-ftpserver-javadoc



Source checksums
----------------
http://www.apache.org/dist/mina/ftpserver/1.0.6/ftpserver-1.0.6-src.tar.gz :
  CHECKSUM(SHA256) this package     : 4078346f2c98d923d0d15b7f10b23d62f4c3494186e873a67f3b0bdfaed924be
  CHECKSUM(SHA256) upstream package : 4078346f2c98d923d0d15b7f10b23d62f4c3494186e873a67f3b0bdfaed924be


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 855843
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


The metioned items are minor, you can fix them during the import. APPROVED
Comment 10 gil cattaneo 2015-12-07 09:14:08 EST
(In reply to Michael Simacek from comment #9)
> - It would be better if you just removed the networked tests and left
>   the remaning tests run normally

Done

> - Please add some comment to the patch - why it's necessary and whether
>   it's Fedora-specific

Done

> The metioned items are minor, you can fix them during the import. APPROVED

Thanks!

Spec URL: http://gil.fedorapeople.org/mina-ftpserver.spec
SRPM URL: http://gil.fedorapeople.org/mina-ftpserver-1.0.6-1.fc23.src.rpm
Comment 11 Upstream Release Monitoring 2015-12-07 09:14:22 EST
gil's scratch build of mina-ftpserver-1.0.6-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12099178
Comment 13 Gwyn Ciesla 2015-12-07 09:41:17 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/mina-ftpserver
Comment 14 Fedora Update System 2015-12-07 14:20:24 EST
mina-ftpserver-1.0.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9f7f048c4c
Comment 15 Fedora Update System 2015-12-08 17:58:37 EST
mina-ftpserver-1.0.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mina-ftpserver'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9f7f048c4c
Comment 16 Upstream Release Monitoring 2015-12-14 05:40:37 EST
jerboaa's scratch build of java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 for git://pkgs.fedoraproject.org/java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12181621
Comment 17 Fedora Update System 2015-12-16 09:36:40 EST
mina-ftpserver-1.0.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.